import * as z from 'zod';
export const ServiceLineUpsertResultSchema = z.object({
  id: z.number().int(),
  claimId: z.number().int().optional(),
  paymentId: z.number().int().optional(),
  procedureCode: z.string(),
  procedureDate: z.date(),
  quad: z.string().optional(),
  arch: z.string().optional(),
  toothNumber: z.string().optional(),
  toothSurface: z.string().optional(),
  icn: z.string().optional(),
  paidCode: z.string().optional(),
  allowedAmount: z.number().optional(),
  totalBilled: z.number(),
  totalPaid: z.number(),
  totalAdjusted: z.number(),
  totalDue: z.number(),
  status: z.unknown(),
  claim: z.unknown().optional(),
  payment: z.unknown().optional(),
  serviceLineTransactions: z.array(z.unknown())
});